@import 'settings';
@import 'mixins';

.OverlayNav {
    position: fixed;
    z-index: $zindex-header;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;

    &__background {
        position: absolute;
        z-index: 0;
        width: 100%;
        height: 100vh;
        top: 0;
        left: 0;
    }

    &__container {
        position: relative;
        z-index: 1;
        width: 100%;
        max-height: 100%;
        overflow: auto;
        border-bottom: solid 1px $body-font-color;
        background: $white;
    }

    &__logo {
        position: absolute;
        z-index: $zindex-modal;

        @media (max-height: 600px) {
            display: none;
        }
    }

    // Open / close state
    &:not(.OverlayNav--isOpen) {
        height: 0;
    }

    &:not(.OverlayNav--isOpen) &__background {
        display: none;
    }

    // Open / close slide transition
    transition: height;

    &__container {
        transform: translate3d(0, -100%, 0);
        transition: transform 0.25s;
    }

    &--isOpen &__container {
        transform: translate3d(0, 0, 0);
    }

    // Tablet
    @media #{$tablet-up} {
        &__container {
            padding: 40px 0 40px 0;
        }
    }
}


body.OverlayNav--isOpen {
    @include color-theme($black, $black, $blue, $blue);
}
